using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Shotgun : Weapon {

    public float shotCount = 8;

	protected override void Fire()
    {
        ammo--;
        for (int i = 0; i < shotCount; i++)
        {
            GameObject.Instantiate(bulletPrefab, muzzle.position, Quaternion.Euler(0, Random.Range(-15, 15), 0) * muzzle.rotation);
        }
    }
}
